/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package calculator;

import java.util.logging.Level;
import java.util.logging.Logger;

import org.oasisopen.sca.annotation.Service;

/**
 * An implementation of the Add service
 */
@Service(AddService.class)
public class AddServiceImpl implements AddService {

    public double add(double n1, double n2) {
        Logger logger = Logger.getLogger("calculator");
        logger.log(Level.FINEST, "Adding " + n1 + " and " + n2);
        return n1 + n2;
    }
    
    public AddBean addComplexParam(AddBean aBean) {
        aBean.setN3(aBean.getN1() + aBean.getN2());
        return aBean;
    }

}
